All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface MdObjectBaseUtil

All Superinterfaces:
  MdObjectBase, java.rmi.Remote

All Known Subinterfaces:
  AbstractExtension, AbstractJob, AbstractPrompt, AbstractProperty, AbstractTransformation, AccessControl, AccessControlEntry, AccessControlTemplate, Action, Aggregation, AnalyticColumn, AnalyticContext, AnalyticTable, ApplicationAction, ArchiveEntry, ArchiveFile, AssociationProperty, AttributeProperty, AuthenticationDomain, CalculatedMeasure, CalculatedMember, Change, Classifier, ClassifierMap, CMetadata, Column, ColumnHierarchy, ColumnRange, COMConnection, Condition, ConditionActionSet, ConditionalPrecedence, ConfiguredComponent, Connection, ContentLocation, ContentType, Cube, CustomAssociation, DatabaseCatalog, DatabaseSchema, DataSourceName, DataTable, DeployedComponent, DeployedDataPackage, Device, DeviceType, Dimension, Directory, Document, Email, Event, Extension, ExternalIdentity, ExternalTable, FavoritesContainer, Feature, FeatureMap, File, FitStatistic, ForeignKey, GlobalFormula, Group, GroupByClause, HavingClause, Hierarchy, HierarchyLevel, Identity, IdentityGroup, Index, InternalLogin, ITChannel, ITContentSubscriber, ITEventSubscriber, ITFilter, ITSubscriber, JFJob, Job, Join, JoinTable, Key, KeyAssociation, Keyword, Level, LocalizedResource, LocalizedType, Location, LogicalColumn, LogicalServer, Login, Machine, MdObjectBaseXML, Measure, Memory, MiningResult, NamedService, NamedSet, NumericExtension, OLAPProperty, OLAPSchema, OnClause, OpenClientConnection, OrderByClause, Permission, PermissionCondition, Person, Phone, PhysicalTable, PrimaryType, Prompt, PromptGroup, Property, PropertyGroup, PropertySet, PropertyType, Prototype, PrototypeProperty, PSColumnLayoutComponent, PSLayoutComponent, PSPortalPage, PSPortalProfile, PSPortlet, QueryClause, QueryTable, RelationalSchema, RelationalTable, Report, ResponsibleParty, Role, Root, RowSelector, SASCatalog, SASCatalogEntry, SASClientConnection, SASFileRef, SASLibrary, SASLicense, SASPassword, Search, SecondaryType, SecuredLibrary, SecuredTable, SecurityRule, SecurityRuleScheme, SecurityTypeContainmentRule, Select, ServerComponent, ServerContext, ServiceComponent, ServiceType, SharedDimension, SoftwareComponent, StepPrecedence, Stream, SXLEMap, SyncStep, TableCollection, Target, TCPIPConnection, Text, TextStore, Timestamp, Transformation, TransformationActivity, TransformationStep, Tree, TSNameObject, TSNamespace, TypeDefinition, UniqueKey, UnitofTime, Variable, WhereClause, WorkTable, XPath

    public interface MdObjectBaseUtil

extends MdObjectBase

Provides the Store object and event interactions for Metadata objects.

Field Summary

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`void` | `addMdObjectListener(MdObjectListener l)` Used to add an object to the list of listeners for changes in the Metadata Object.
`boolean` | `delete()` Marks an object as deleted in the owning store and does not allow for retrival of that object.
`void` | `dispose()` Removes all links to this object so it can be garbage collected.
`void` | `fireMdObjectModified(MdEvent e)` Used to notify all the listeners in the listner list of changes in the metadata object.
`AssociationList` | `getAssociatedObjects(java.lang.String strAssociation)` Helper method for getting associated metadata objects.
`AssociationList` | `getAssociatedObjects(java.lang.String strAssociation, java.lang.String strTemplate)` Helper method for getting associated metadata objects.
`AssociationList` | `getAssociatedObjects(java.lang.String associationType, java.lang.String strAssociation, boolean isPredAssoc, java.lang.String Properties, CMetadata parentObj)` Helper method for getting associated metadata objects.
`java.util.List<java.lang.String>` | `getAssociationNames()` Returns a list of the association names for this object.
`java.util.Map<java.lang.String,AssociationList>` | `getAssocs()` Gets the Map of all associations this object has.
`java.util.Map<java.lang.String,AssociationList>` | `getAssocsWA()` Gets the Map of all associations this object has.
`java.util.List<java.lang.String>` | `getAttributeNames()` Returns a list of the attribute names for this object.
`java.util.Map<java.lang.String,java.lang.String>` | `getAttrs()` Gets the Map of all attributes this object has.
`java.util.Map<java.lang.String,java.lang.Integer>` | `getAttrsStates()` Gets the Map of all attributes states this object has.
`int` | `getChangeManagementState()` Returns the state of this object in a project repository
`int` | `getChgMgtExternalIdentityImportType()` Deprecated. As of 9.2 this method is no longer supported
`java.lang.Object` | `getClientSideOnlyObject()` Gets the client-side-only object that is attached to the metadata object.
`AssociationList` | `getMdObjectAssociation(java.lang.String associationName)` (S) Set's the list into the object using the set method internally.
`java.util.Map<java.lang.String,AssociationList>` | `getPopulatedAssocs()` Gets a Map of all associations that have been populated, either by the client or the server.
`java.util.Map<java.lang.String,java.lang.String>` | `getUpdatedAttrs()` Returns a map of all attributes that have been updated locally by the client.
`java.util.ArrayList` | `getViewList()` Get all the views associated with this metadata object.
`void` | `initializeRequiredObjects()` Used at constructor time to initialize the required objects array
`boolean` | `isCheckedOut()` Tells whether or not this object in the checked out state in the project repository
`boolean` | `isLocked()` Tells whether on not this object is locked in a repository.
`boolean` | `objectModified()` Tells whether any of the attributes or associationLists on this object have been changed.
`void` | `removeMdObjectListener(MdObjectListener l)` Used to remove an object from the list of listeners for changes in the Metadata Object.
`void` | `setAttrs(java.util.Map<java.lang.String,com.sas.metadata.remote.MdObjectAttribute> attrMap)` (S) Sets the Map of all attributes this object has.
`void` | `setChangeManagementTargetRepository(java.lang.String targetRepos)` Deprecated. As of 9.2 this method is no longer supported
`void` | `setChgMgtExternalIdentityImportType(int type)` Deprecated. As of 9.2 this method is no longer supported
`void` | `setClientSideOnlyObject(java.lang.Object oObject)` Sets the client-side-only object that is attached to the metadata object.
`void` | `setMdObjectAssociation(AssociationList inList)` Set's the list into the object using the set method internally.
`void` | `touch()` Touches the object so that its last modified date will be updated the next time this object is persisted to the server.
`void` | `updateAssnsIds(java.lang.String oldID, java.lang.String newID)` Updates the ids in the association lists contained in this object.

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, initializePredObjects, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Method Detail

### getAttributeNames

    java.util.List<java.lang.String> getAttributeNames()
                                                       throws java.rmi.RemoteException

  Returns a list of the attribute names for this object.

  Returns:
    List (of Strings) of attribute names
  Throws:
    `java.rmi.RemoteException`

### getAssociationNames

    java.util.List<java.lang.String> getAssociationNames()
                                                         throws java.rmi.RemoteException

  Returns a list of the association names for this object.

  Returns:
    List (of Strings) of association names
  Throws:
    `java.rmi.RemoteException`

### getAttrs

    java.util.Map<java.lang.String,java.lang.String> getAttrs()
                                                              throws java.rmi.RemoteException

  Gets the Map of all attributes this object has.

  Returns:
    Map of attributes.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### setAttrs

    void setAttrs(java.util.Map<java.lang.String,com.sas.metadata.remote.MdObjectAttribute> attrMap)
                  throws java.rmi.RemoteException

  (S) Sets the Map of all attributes this object has.

  Parameters:
    `Map` - of attributes.
  Throws:
    `java.rmi.RemoteException`

### getUpdatedAttrs

    java.util.Map<java.lang.String,java.lang.String> getUpdatedAttrs()
                                                                     throws java.rmi.RemoteException

  Returns a map of all attributes that have been updated locally by the client. All updated attributes have a state set to `MetadataState.LOCAL`.

  Returns:
    map of updated attributes
  Throws:
    `java.rmi.RemoteException`

### getAttrsStates

    java.util.Map<java.lang.String,java.lang.Integer> getAttrsStates()
                                                                     throws java.rmi.RemoteException

  Gets the Map of all attributes states this object has.

  Returns:
    Map of attribute states.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### getAssocs

    java.util.Map<java.lang.String,AssociationList> getAssocs()
                                                              throws java.rmi.RemoteException

  Gets the Map of all associations this object has.

  Returns:
    Map of associations.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### getPopulatedAssocs

    java.util.Map<java.lang.String,AssociationList> getPopulatedAssocs()
                                                                       throws java.rmi.RemoteException

  Gets a Map of all associations that have been populated, either by the client or the server. Only associations that have previously been set will be included in the map.

  Returns:
    map of set associations
  Throws:
    `java.rmi.RemoteException`

### getAssocsWA

    java.util.Map<java.lang.String,AssociationList> getAssocsWA()
                                                                throws java.rmi.RemoteException

  Gets the Map of all associations this object has.

  Returns:
    Map of associations.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### setMdObjectAssociation

    void setMdObjectAssociation(AssociationList inList)
                                throws java.rmi.RemoteException

  Set's the list into the object using the set method internally.

  Parameters:
    `inList` - list to be set for the association.
  Throws:
    `java.rmi.RemoteException`

### getMdObjectAssociation

    AssociationList getMdObjectAssociation(java.lang.String associationName)
                                           throws java.rmi.RemoteException,
                                                  MdException

  (S) Set's the list into the object using the set method internally.

  Parameters:
    `inList` - list to be set for the association.
  Returns:
    List if found, null otherwise.
  Throws:
    `java.rmi.RemoteException`
    `MdException`

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  Used at constructor time to initialize the required objects array

  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### addMdObjectListener

    void addMdObjectListener(MdObjectListener l)
                             throws java.rmi.RemoteException

  Used to add an object to the list of listeners for changes in the Metadata Object.

  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### removeMdObjectListener

    void removeMdObjectListener(MdObjectListener l)
                                throws java.rmi.RemoteException

  Used to remove an object from the list of listeners for changes in the Metadata Object.

  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### fireMdObjectModified

    void fireMdObjectModified(MdEvent e)
                              throws java.rmi.RemoteException

  Used to notify all the listeners in the listner list of changes in the metadata object.

  Parameters:
    `e` - ChangeEvent Created like: `new ChangeEvent(Object generator)`
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### getViewList

    java.util.ArrayList getViewList()
                                    throws java.rmi.RemoteException

  Get all the views associated with this metadata object.

  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### getAssociatedObjects

    AssociationList getAssociatedObjects(java.lang.String strAssociation)
                                         throws MdException,
                                                java.rmi.RemoteException

  Helper method for getting associated metadata objects.

  Parameters:
    `strAssociation` - String
  Returns:
    AssociationList
  Throws:
    `MdException` - if error getting the data
    `java.rmi.RemoteException` - if connection to object is lost.

### getAssociatedObjects

    AssociationList getAssociatedObjects(java.lang.String associationType,
                                         java.lang.String strAssociation,
                                         boolean isPredAssoc,
                                         java.lang.String Properties,
                                         CMetadata parentObj)
                                         throws MdException,
                                                java.rmi.RemoteException

  Helper method for getting associated metadata objects.

  Parameters:
    `strAssociation` - String The name of the association "Colums"
    `associationType` - String The type of association "Column-Table"
    `isPredAssoc` - boolean
    `Properties` - String String for cardinalities and req for add
    `parentObj` - CMetadata the object that owns the associaition.
  Returns:
    AssociationList
  Throws:
    `MdException` - if error getting the data
    `java.rmi.RemoteException` - if connection to object is lost.

### getAssociatedObjects

    AssociationList getAssociatedObjects(java.lang.String strAssociation,
                                         java.lang.String strTemplate)
                                         throws MdException,
                                                java.rmi.RemoteException

  Helper method for getting associated metadata objects.

  Parameters:
    `strAssociation` - String The name of the association "Colums"
    `strTemplate` - String
  Returns:
    AssociationList
  Throws:
    `MdException` - if error getting the data
    `java.rmi.RemoteException` - if connection to object is lost.

### delete

    boolean delete()
                   throws java.rmi.RemoteException

  Marks an object as deleted in the owning store and does not allow for retrival of that object.

  Returns:
    boolean if object state set to deleted
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### dispose

    void dispose()
                 throws java.rmi.RemoteException

  Removes all links to this object so it can be garbage collected.

  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### touch

    void touch()
               throws java.rmi.RemoteException

  Touches the object so that its last modified date will be updated the next time this object is persisted to the server. Note: this method will not automatically update the object on the server. The client will have to either persist the object or its owning store.

  Throws:
    `java.rmi.RemoteException`

### objectModified

    boolean objectModified()
                           throws java.rmi.RemoteException

  Tells whether any of the attributes or associationLists on this object have been changed.

  Returns:
    true if object has changed.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### updateAssnsIds

    void updateAssnsIds(java.lang.String oldID,
                        java.lang.String newID)
                        throws java.rmi.RemoteException

  Updates the ids in the association lists contained in this object.

  Parameters:
    `oldID` - String
    `newID` - String
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### getClientSideOnlyObject

    java.lang.Object getClientSideOnlyObject()
                                             throws java.rmi.RemoteException

  Gets the client-side-only object that is attached to the metadata object. The client-side-only object is created on the client and is never persisted. The reason for the name is to avoid collisions with attributes that might be added to detailed metadata objects in the future.

  Returns:
    the client-side-only object.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### setClientSideOnlyObject

    void setClientSideOnlyObject(java.lang.Object oObject)
                                 throws java.rmi.RemoteException

  Sets the client-side-only object that is attached to the metadata object. The client-side-only object is create on the client and is never persisted. The reason for the name is to avoid collisions with attributes that might be added to detailed metadata objects in the future.

  Parameters:
    `oObject` - the client-side-only object
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### isLocked

    boolean isLocked()
                     throws java.rmi.RemoteException

  Tells whether on not this object is locked in a repository.

  Returns:
    boolean if the object is locked for change management.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### isCheckedOut

    boolean isCheckedOut()
                         throws java.rmi.RemoteException

  Tells whether or not this object in the checked out state in the project repository

  Returns:
    boolean if the object is in the checked out state in the project repository
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### getChangeManagementState

    int getChangeManagementState()
                                 throws java.rmi.RemoteException

  Returns the state of this object in a project repository

  Returns:
    an int indicating the state of the object in the project repository
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### setChangeManagementTargetRepository

    void setChangeManagementTargetRepository(java.lang.String targetRepos)
                                             throws java.rmi.RemoteException

  Deprecated. As of 9.2 this method is no longer supported

  Sets the repository objects will reside in.

  Parameters:
    `targetRepos` - String the string name for the Identity value of the ExternalIdentity object connected to this one.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### setChgMgtExternalIdentityImportType

    void setChgMgtExternalIdentityImportType(int type)
                                             throws java.rmi.RemoteException

  Deprecated. As of 9.2 this method is no longer supported

  Sets the change management's external identity object's ImportType for the type of change management object this is. Valid types are:
  MetadataState.MD_CHGMGT_FETCHED MetadataState.MD_CHGMGT_NEW MetadataState.MD_CHGMGT_UNSET MetadataState.MD_CHGMGT_CHECKEDOUT

  Parameters:
    `type` - int
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

### getChgMgtExternalIdentityImportType

    int getChgMgtExternalIdentityImportType()
                                            throws java.rmi.RemoteException

  Deprecated. As of 9.2 this method is no longer supported

  Gets the change management's external identity object's ImportType for the type of change management object this is. Valid types are:
  MetadataState.MD_CHGMGT_FETCHED MetadataState.MD_CHGMGT_NEW MetadataState.MD_CHGMGT_UNSET MetadataState.MD_CHGMGT_CHECKEDOUT

  Returns:
    int type of object.
  Throws:
    `java.rmi.RemoteException` - if connection to object is lost.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.